import 'package:anchor_collect_flutter/models/message_page.dart';
import 'package:flutter/material.dart';
import 'package:get/get.dart';

import '../../congifs.dart';

class MessageState {
  late List<MessagePageModels> mListData = [];
  late List<Widget> items;

  MessageState() {
    items = [];
    mListData = [
      MessagePageModels('分娩提醒', IconFont.parturition_warn, Color.fromRGBO(46, 118, 246, 1.0), 0),
      MessagePageModels('断奶提醒', IconFont.weaning_warn, Color.fromRGBO(232, 252, 136, 1.0), 0),
      MessagePageModels('配种提醒', IconFont.breeding_warn, Color.fromRGBO(135, 107, 92, 1.0), 0),

      MessagePageModels('公牛参配', IconFont.bull_breeding_warn, Color.fromRGBO(237, 191, 72, 1.0), 0),
      MessagePageModels('产后配种', IconFont.postpartum_breeding_warn, Color.fromRGBO(158, 198, 94, 1.0), 0),
      MessagePageModels('产后查情', IconFont.postpartum_check_warn, Color.fromRGBO(200, 90, 75, 1.0), 0),

      MessagePageModels('妊娠初检', IconFont.gravidity_initial_check_warn, Color.fromRGBO(156, 175, 203, 1.0), 0),
      MessagePageModels('妊娠复检', IconFont.gravidity_recheck_warn, Color.fromRGBO(124, 119, 169, 1.0), 0),
      MessagePageModels('母牛发情', IconFont.cow_estrus_warn, Color.fromRGBO(200, 80, 142, 1.0), 0),

      MessagePageModels('产前预警', IconFont.prenatally_warn, Color.fromRGBO(225, 192, 53, 1.0), 0),
      MessagePageModels('超期未产', IconFont.over_time_warn, Color.fromRGBO(176, 41, 59, 1.0), 0),
      MessagePageModels('泛情提醒', IconFont.anestrus_warn, Color.fromRGBO(227, 129, 58, 1.0), 0),

      MessagePageModels('母牛淘汰胎次', IconFont.cow_weed_out_count_warn, Color.fromRGBO(194, 192, 167, 1.0), 0),
      MessagePageModels('母牛淘汰月龄', IconFont.cow_weed_out_moom_age_warn, Color.fromRGBO(130, 32, 66, 1.0), 0),
      MessagePageModels('公牛淘汰月龄', IconFont.bull_weed_out_moom_age_warn, Color.fromRGBO(157, 145, 219, 1.0), 0),
    ];
  }
}
